borg-key-migrate-to-repokey(1)

Name
borg-key-migrate-to-repokey - Migrate passphrase -> repokey

SYNOPSIS

borg [common options] key migrate-to-repokey [options] [REPOSITORY]

DESCRIPTION

This command migrates a repository from passphrase mode (removed in Borg 1.0) to repokey mode.

You will first be asked for the repository passphrase (to open it in passphrase mode). This is the same passphrase you used for this repository before 1.0.

The different secrets will then be derived from this passphrase.

Then you will be asked for a new passphrase (twice, for safety). This passphrase will be used to protect the repokey (which contains these same secrets in encrypted form). You may use the same passphrase as you used to use, but you may also use a different one.

After migrating to repokey mode, you can change the passphrase at any time. Please note: the secrets will always stay the same, and they could always be derived from your (old) passphrase-mode passphrase.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

REPOSITORY

SEE ALSO

borg-common(1)

Author
The Borg Collective